> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List event types



## OpenAPI

````yaml get /api/v1/calendars/{calendarId}/event-types
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/calendars/{calendarId}/event-types:
    get:
      tags:
        - Calendar Event Types
      summary: List event types
      parameters:
        - schema:
            type: string
          required: true
          name: calendarId
          in: path
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: string
            default: '10'
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: List of event types
          content:
            application/json:
              schema:
                type: object
                properties:
                  eventTypes:
                    type: array
                    items:
                      $ref: '#/components/schemas/CalendarEventType'
                  pagination:
                    type: object
                    properties:
                      limit:
                        type: number
                      nextCursor:
                        type: string
                    required:
                      - limit
                required:
                  - eventTypes
                  - pagination
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '404':
          description: Calendar not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 404
                  message:
                    type: string
                    default: Not found
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    default: NOT_FOUND
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  schemas:
    CalendarEventType:
      type: object
      properties:
        id:
          type: string
        calendarId:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        duration:
          type: number
        slotInterval:
          type: number
          nullable: true
        minimumBookingNotice:
          type: number
        beforeEventBuffer:
          type: number
        afterEventBuffer:
          type: number
        periodType:
          type: string
          enum:
            - UNLIMITED
            - ROLLING
            - RANGE
        periodDays:
          type: number
          nullable: true
        periodStartDate:
          type: string
          nullable: true
        periodEndDate:
          type: string
          nullable: true
        scheduleId:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        addGoogleMeet:
          type: boolean
        metadata:
          nullable: true
        active:
          type: boolean
        archived:
          type: boolean
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - calendarId
        - name
        - slug
        - description
        - duration
        - slotInterval
        - minimumBookingNotice
        - beforeEventBuffer
        - afterEventBuffer
        - periodType
        - periodDays
        - periodStartDate
        - periodEndDate
        - scheduleId
        - location
        - addGoogleMeet
        - active
        - archived
        - createdAt
        - updatedAt
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````